<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package tractor-express
 */
$contact_back_img = get_field('footer_background_image', 'option');
$form_title 	  = get_field('contact_form_title', 'option');
$footer_form 	  = get_field('footer_form', 'option');
?>
<footer id="colophon" class="site-footer">
	<div class="site-info">
		<div class="container">
			<div class="row">
				<div class="col-lg-5">
					<div class="contact-us-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<span class="contact-us-img back-img" <?php echo (!empty($contact_back_img)) ? 'style="background-image: url(' . $contact_back_img . ')"' : ''; ?>></span>
						<div class="contact-us-text">
							<?php
							if (!empty($form_title)) { ?>
								<h2 class="h2-title" id="contact"><?php echo $form_title; ?></h2>
							<?php
							}
							if (!empty($footer_form)) { ?>
								<div class="contact-form">
									<?php echo do_shortcode('[contact-form-7 id="' . $footer_form->ID . '" title="' . $footer_form->post_title . '"]'); ?>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
				<div class="col-lg-7">
					<div class="footer-info-wp">
						<div class="footer-info wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
							<?php
							$site_url  = site_url();
							$logo 	   = get_field('footer_logo', 'option');
							$site_name = get_bloginfo('name');
							$content   = get_field('footer_content', 'option');
							if (!empty($logo) || !empty($site_url) || !empty($site_name)) { ?>
								<div class="footer-logo">
									<?php if (!empty($site_url)) { ?>
										<a href="<?php echo $site_url; ?>" title="<?php echo $site_name; ?>">
											<?php
											if (!empty($logo)) { ?>
												<img src="<?php echo $logo; ?>" alt="<?php echo $site_name; ?>">
											<?php
											} ?>
										</a>
									<?php } ?>
								</div>
							<?php
							}
							echo $content;

							$phone_number = get_field('phone_number', 'option');
							if (!empty($phone_number)) { ?>
								<div class="footer-call">
									<a class="callus" href="<?php echo $phone_number['url']; ?>" title="<?php echo 'Call on ' . $phone_number['title']; ?>"><i class="fas fa-phone"></i><span class="callus"><?php echo $phone_number['title']; ?></span></a>
								</div>
							<?php
							}
							if (have_rows('management', 'option')) { ?>
								<div class="footer-extension">
									<ul>
										<?php
										while (have_rows('management', 'option')) {
											the_row();
											$management_name = get_sub_field('management_name', 'option');
											if (!empty($management_name)) { ?>
												<li><?php echo $management_name; ?></li>
										<?php
											}
										} ?>
									</ul>
								</div>
							<?php
							}
							$address_map    = get_field('address', 'option');
							$facebook_link  = get_field('facebook_link', 'option');
							$instagram_link = get_field('instagram_link', 'option');
							$linkedin_link  = get_field('linkedin_link', 'option');
							if (!empty($address_map)) { ?>
								<div class="footer-address">
									<a href="<?php echo $address_map['url']; ?>" target="_blank" title="<?php echo $address_map['title']; ?>"><i class="fas fa-map-marker-alt"></i><?php echo $address_map['title']; ?></a>
								</div>
							<?php
							} ?>
							<div class="footer-fb">
								<?php
								if (!empty($facebook_link)) { ?>
									<a href="<?php echo $facebook_link; ?>" target="_blank" title="Follow on Facebook"><i class="fab fa-facebook-f"></i></a>
								<?php
								}
								if (!empty($instagram_link)) { ?>
									<a href="<?php echo $instagram_link; ?>" target="_blank" title="Follow on Instagram"><i class="fab fa-instagram"></i></a>
								<?php
								}
								if (!empty($linkedin_link)) { ?>
									<a href="<?php echo $linkedin_link; ?>" target="_blank" title="Follow on Linkedin"><i class="fab fa-linkedin-in"></i></a>
								<?php
								}
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</footer>
<div class="footer-bottom">
	<div class="container">
		<?php
		$footer_menu = wp_get_nav_menu_items('footer-menu');
		if (!empty($footer_menu)) { ?>
			<div class="row">
				<div class="col-lg-12">
					<div class="footer-menu">
						<?php
						wp_nav_menu(
							array(
								'theme_location' => 'footer-menu',
								'menu_id'        => 'footer-menu',
							)
						);
						?>
					</div>
				</div>
			</div>
		<?php } ?>
		<div class="row">
			<div class="col-12">
				<div class="footer-bottom-text">
					<?php
					$policy_menu 		   = wp_get_nav_menu_items('polycy-menu');
					$dotcom_design_content = get_field('dotcom_design_content', 'option');
					$site_name 			   = get_bloginfo('name');
					if (!empty($policy_menu) || !empty($dotcom_design_content)) { ?>
						<div class="copy-right">
							<?php
							if (!empty($site_name)) { ?>
								<p>&copy; <?php echo date('Y') . " "; ?> <?php echo $site_name; ?></p>
							<?php
							}

							wp_nav_menu(
								array(
									'theme_location' => 'polycy-menu',
									'container'            => '',
								)
							);
							?>
						</div>
					<?php
					}
					if (!empty($dotcom_design_content)) { ?>
						<div class="footer-other-link">
							<?php echo $dotcom_design_content; ?>
						</div>
					<?php
					} ?>
				</div>
			</div>
		</div>
		<?php
		$seo_menu 	   = wp_get_nav_menu_items('seo-menu');
		$seo_menu_text = get_field('seo_menu_text', 'option');
		if (is_page_template('template-seo.php') || is_author() || is_category() || is_home() || is_single() || is_tag() && !empty($seo_menu)) { ?>
			<div class="row">
				<div class="col-lg-12">
					<div class="footer-last">
						<?php
						if (!empty($seo_menu_text)) { ?>
							<span class="view_services_text" id="view_all_services" title="<?php echo $seo_menu_text; ?>"><?php echo $seo_menu_text; ?></span>
						<?php
						}
						if (!empty($seo_menu)) { ?>
							<div class="all-services">
								<?php
								wp_nav_menu(array(
									'theme_location' => 'seo-menu',
								));
								?>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php
		} ?>
	</div>
</div>
<!-- Scroll To Top Start -->
<button id="scrollToTop" class="scrolltop" title="Back To Top"><i class="fa fa-caret-up" aria-hidden="true"></i></button>
<!-- <a href="javascript:void(0);" id="scrollToTop" class="scrolltop" title="Back To Top"><i class="fa fa-caret-up" aria-hidden="true"></i></a> -->
<!-- Scroll To Top End -->
</div>

<!-- Modal Start -->
<?php
$modal_title = get_field('modal_title', 'option');
$modal_form  = get_field('modal_form', 'option');
?>
<div class="modal common-popup" id="schedule_an_estimate_Modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="popup-title">
				<?php
				if (!empty($modal_title)) { ?>
					<h2 class="h2-title"><?php echo $modal_title; ?></h2>
				<?php } ?>
				<button type="button" class="close close-popup" name="Close Popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<?php
			if (!empty($modal_form)) { ?>
				<div class="common-popup-overflow">
					<div class="common-popup-text" data-simplebar>
						<div class="contact-form">
							<?php echo do_shortcode('[contact-form-7 id="' . $modal_form->ID . '" title="' . $modal_form->post_title . '"]'); ?>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
<!-- Modal End -->


<!-- Modal Start -->
<div class="modal team-modal" id="team_popup">
	<div class="modal-dialog">
		<div class="container">
			<div class="modal-content"> <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close"><i class="fas fa-times" aria-hidden="true"></i></button>
				<div class="modal-content-box">
					<div class="team-modal-wp team-content">
						<div class="row">
							<div class="col-lg-4">
								<div class="team-modal-image-box">
									<div class="team-modal-image">
										<div class="team-modal-image back-img"></div>
									</div>
								</div>
							</div>
							<div class="col-lg-8">
								<div class="team-modal-content-box">
									<div class="team-modal-title">
										<h2 class="h2-title ">Scott McClenton</h2>
										<h3 class="h3-title">MA Licensed Resident Counselor</h3>
									</div>
									<div class="team-modal-description" data-simplebar="init">
										<p>Advance Millwork is a family owned and operated business that has been serving the Midwest for 60 years. Quality and customer service are the mainstay of our company; we have one of the most experienced teams in the industry to ensure our customers continually receive the best of both. Stop by the showroom or tour our 75,000 square foot production facility.</p>
										<p>We cater to home owners and contractors with a wide array of product options. Home owners can find the perfect piece to set their home apart. Contractors can be at ease with our timely process designed to help you complete your projects on time. Unlike other companies we are with you every step of the way. With the combination of our friendly staff and superior products, Advance Millwork can make your project a breeze.</p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Modal End -->

<?php wp_footer(); ?>

</body>

</html>