<?php

/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package tractor-express
 */

get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>
<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
	<span class="banner-shape">
		<img src="<?php echo home_url(); ?>/wp-content/themes/tractor-express/assets/images/logo-icon.svg" alt="Banner Shape">
	</span>
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
				<div class="banner-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
					<h1 class="h1-title"><?php the_title(); ?></h1>
				</div>
			</div>
		</div>
	</div>
</section>

<div class="inner-page-text">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<main id="primary" class="site-main">

					<?php
					while (have_posts()) :
						the_post();

						get_template_part('template-parts/content', 'page');

						// If comments are open or we have at least one comment, load up the comment template.
						if (comments_open() || get_comments_number()) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>

				</main><!-- #main -->
			</div>
		</div>
	</div>
</div>
</div>

<?php
get_footer();
