<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package tractor-express
 */

get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>

<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
					<h1 class="h1-title">	<?php printf( esc_html__( 'Search Results for: %s', 'tractor-express' ), '<span>' . get_search_query() . '</span>' );	?></h1>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="inner-page-text">
    <div class="container">
        <div class="row">
			<div class="col-lg-8">

				<main id="primary" class="site-main">

					<?php if ( have_posts() ) : ?>



						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/content', 'search' );

						endwhile;

						the_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</main><!-- #main -->

			</div>
			<div class="col-lg-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>


<?php
get_footer();

