<!-- Banner Start -->
<?php
$front_page_id = get_option('page_on_front');
$banner_img = get_field("home_banner_image", $front_page_id);
$banner_title = get_field('home_banner_title', $front_page_id);
$banner_content = get_field('home_banner_content', $front_page_id);
$banner_btn_link = get_field('home_banner_button_link', $front_page_id);
$home_banner_btn_title = get_field('home_banner_button_title', $front_page_id);
$request_quote_title = get_field('request_quote_title', 'option');
$seo_form = get_field('seo_form', 'option');
$seo_form_title = get_field('seo_form_title', 'option');
?>
<section class="main-banner back-img seo-page-banner" <?php echo (!empty($banner_img)) ? 'style="background-image: url('.$banner_img.')"' : ''; ?>>
	<span class="banner-shape">
		<img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" width="410" height="483" alt="Banner Shape">
	</span>
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-7">
				<div class="banner-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
					<?php
					if(!empty($banner_title) ){ ?>
						<h1 class="h1-title"><?php echo $banner_title; ?></h1>
						<?php
					}
					echo $banner_content;
					$btn_link =  (!empty($banner_btn_link)) ? $banner_btn_link : '#contact'; ?>
					<div class="banner-btn">
						<?php
							if(!empty($request_quote_title) ){ ?>
								<button data-bs-toggle="modal" data-bs-target="#schedule_an_estimate_Modal" class="sec-btn white wow fadeup-animation" title="<?php echo $request_quote_title; ?>" data-wow-duration="0.8s" data-wow-delay="0.3s"><?php echo $request_quote_title; ?></button>
								<!-- <a href="#contact" class="sec-btn white wow fadeup-animation" title="<?php //echo $request_quote_title; ?>" data-wow-duration="0.8s" data-wow-delay="0.3s"><?php //echo $request_quote_title; ?></a> -->
							<?php
						}
						if(!empty($home_banner_btn_title) || !empty($btn_link) ){ ?>
							<a href="<?php echo $btn_link; ?>" class="sec-btn wow fadeup-animation" title="<?php echo $home_banner_btn_title; ?>" data-wow-duration="0.8s" data-wow-delay="0.4s"><?php echo $home_banner_btn_title; ?></a>
						<?php } ?>
					</div>
				</div>
			</div>
            <div class="col-lg-5">
                <div class="contact-form seo-form-wp wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <h2 class="h2-title"><?php echo $seo_form_title; ?></h2>
			    	<?php echo do_shortcode('[contact-form-7 id="'.$seo_form->ID.'" title="'.$seo_form->post_title.'"]');?>
			    </div>
            </div>
		</div>
	</div>
</section>
<!-- Banner End -->

<!-- About Us Start -->
<?php
$about_title 		= get_field('about_title', $front_page_id);
$about_sub_title 	= get_field('about_sub_title', $front_page_id);
$about_content 		= get_field('about_content', $front_page_id);
$about_button_text  = get_field('about_button_text', $front_page_id);
$about_button_link  = get_field('about_button_link', $front_page_id);
$home_about_image   = get_field('home_about_image', $front_page_id);
if(!empty($about_title) || !empty($about_sub_title) || !empty($about_content) || !empty($about_button_link) || !empty($home_about_image)){ ?>
	<section class="main-about-us" id="about">
		<div class="container">
			<div class="row no-gutters">
				<div class="col-lg-7 order-lg-1 order-2">
					<div class="about-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<div class="about-content-text p-text">
							<?php
							if(!empty($about_sub_title) ){ ?>
								<span class="sub-title"><?php echo $about_sub_title; ?></span>
								<?php
							}
							if(!empty($about_title) ){?>
								<h2 class="h2-title"><?php echo $about_title; ?></h2>
								<?php
							}
							echo $about_content; ?>
						</div>
						<?php
							if(!empty($about_button_link) && !empty($about_button_text)){ ?>
								<a href="<?php echo $about_button_link; ?>" class="sec-btn learn-more" title="<?php echo $about_button_text .'-'.$about_sub_title; ?>"><?php echo $about_button_text; ?></a>
								<?php
							}
						?>
					</div>
				</div>
				<?php
				if(!empty($home_about_image)){ ?>
					<div class="col-lg-5 order-lg-2 order-1">
						<div class="about-img back-img wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s" style="background-image: url('<?php echo $home_about_image; ?>')"></div>
					</div>
				<?php } ?>
			</div>
		</div>
	</section>
<?php } ?>
<!-- About Us End -->

<section class="main-seo-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="sec-head h2-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php the_title(); ?></h1>
            </div>
        </div>
        <div class="row">
			<div class="col-lg-12">
				<div class="excerpt-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
					<?php the_content();?>
				</div>
				<div class="form-btn wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
					<button type="button" title="Read more" id="read-more" class="sec-btn sm-btn bg-btn">
						<span>Read more</span>
					</button>
				</div>
			</div>
		</div>
    </div>
</section>