<?php
/**
 * The template for displaying the sitemap page
 * Template Name: Sitemap
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */
get_header();
$cur_page_id = get_the_ID();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img;?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content">
                    <h1 class="h1-title"><?php the_title(); ?></h1>
                    </div>
                </div>
            </div>
        </div>
</section>
<!-- Banner End -->

<div class="blog-post privacy-content inner-page-text">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php
                        $postsArgs = array(
                            'post_type' => 'page',
                            'posts_per_page'=>'-1',
                            'post_status' => 'publish'
                        );
                        $postsLoop = new WP_Query( $postsArgs );
                        if( $postsLoop->have_posts() ) { ?>
                            <h2 id="sitemap-posts">Pages</h2>
                            <ul>
                                <?php
                                while ( $postsLoop->have_posts() ) {
                                $postsLoop->the_post();
                                $current_page_url = get_permalink($cur_page_id);
                                if(get_permalink() != $current_page_url) { ?>
                                    <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                                    <?php } wp_reset_query(); ?>
                                    <?php
                                } ?>
                            </ul>
                        <?php } ?>

                        <?php
                        $postsArgs = array(
                            'post_type' => 'post',
                            'posts_per_page'=>'-1',
                            'post_status' => 'publish'
                        );
                        $postsLoop = new WP_Query( $postsArgs );
                        if( $postsLoop->have_posts() ) { ?>
                            <h2 id="sitemap-posts">Posts</h2>
                            <ul>
                                <?php
                                while ( $postsLoop->have_posts() ) {
                                $postsLoop->the_post();
                                ?>
                                <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                                <?php } wp_reset_query(); ?>
                            </ul>
                        <?php } ?>
                        <?php
                            $tags = get_tags(array(
                            // 'exclude' => '',
                            ) );
                        if ($tags) { ?>
                        <h2 id="sitemap-posts-tags">Post Tags</h2>
                        <ul>
                            <?php foreach ($tags as $tag) { ?>
                                <li class="tag-id-<?php echo $tag->term_id ?>"><a href="<?php echo get_tag_link( $tag->term_id );?>"><?php echo $tag->name ?></a></li>
                            <?php } ?>
                        </ul>
                        <? } ?>
                    </main>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
get_footer();