<?php
/*
  Template Name: Without Sidebar
 */
get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url() . "/wp-content/uploads/2020/12/banner-back-img.jpg";
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <h1 class="h1-title"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Banner End -->

<div class="container">
    <div class="row">
        <div class="col-12">
            <div id="primary" class="content-area">
                <main id="main" class="site-main">
                    <?php
                    while (have_posts()) :
                        the_post();
                    ?>
                        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                            <div class="entry-content">
                                <?php
                                the_content(sprintf(
                                    wp_kses(
                                        __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'tractor-express'),
                                        array(
                                            'span' => array(
                                                'class' => array(),
                                            ),
                                        )
                                    ),
                                    get_the_title()
                                ));
                                ?>
                            </div>
                        </article>
                    <?php
                    endwhile;
                    ?>
                </main>
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
