<!-- About Us Banner Start -->
<?php
$about_banner_image = get_field('about_banner_image');
$about_banner_title = get_field('about_banner_title');
if (!empty($about_banner_title) || !empty($about_banner_image)) { ?>
    <section class="main-banner inner-banner back-img" <?php echo (!empty($about_banner_image)) ? 'style="background-image: url(' . $about_banner_image . ')"' : ''; ?>>
        <span class="banner-shape">
            <img width="409" height="483" src="<?php echo get_template_directory_uri(); ?>/assets/images/logo-icon.svg" alt="Banner Shape">
        </span>
        <?php
        if (!empty($about_banner_title)) { ?>
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="banner-content">
                            <h1 class="h1-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $about_banner_title; ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </section>
<?php } ?>

<!-- About Us Banner End -->

<!-- About Us Content Start -->
<?php
$about_title     = get_field('about_title');
$about_sub_title = get_field('about_sub_title');
$about_content   = get_field('about_content');
$about_image     = get_field('about_image');
if (!empty($about_title) || !empty($about_sub_title) || !empty($about_content) || !empty($about_image)) { ?>
    <section class="about-page-content">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 order-2 order-lg-1 align-self-center">
                    <div class="about-content p-text wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <?php
                        if (!empty($about_title)) { ?>
                            <h2 class="h2-title"><?php echo $about_title; ?></h2>
                        <?php
                        }
                        if (!empty($about_sub_title)) { ?>
                            <h3 class="sub-title"><?php echo $about_sub_title; ?></h3>
                        <?php
                        }
                        if (!empty($about_content)) { ?>
                            <div class="about-text">
                                <?php echo $about_content; ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
                <?php
                if (!empty($about_image)) { ?>
                    <div class="col-lg-6 order-1 order-lg-2">
                        <div class="about-img back-img wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s" style="background-image: url('<?php echo $about_image ?>')"></div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
<?php } ?>
<!-- About Us Content End -->
<?php get_template_part('template-parts/content', 'process'); ?>


<!-- Our team Start -->
<?php
$args = array('post_type' => 'teams', 'posts_per_page' => -1, 'post_status' => 'publish');
$query = new WP_Query($args);

$team_title = get_field('team_title');

if ($query->have_posts() ||  !empty($team_title)) { ?>
    <section class="our-team-section">
        <div class="container">
            <?php
            if (!empty($team_title)) { ?>
                <div class="row">
                    <div class="col-lg-12 m-auto text-center">
                        <div class="our-process-title team-title">
                            <h2 class="h2-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $team_title; ?></h2>
                        </div>
                    </div>
                </div>
            <?php
            }
            if ($query->have_posts()) { ?>
                <div class="team-box-row">
                    <div class="row">
                        <?php
                        while ($query->have_posts()) {
                            $query->the_post();
                            $designation = get_field('designation');
                            $image =  get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                            <div class="col-lg-4 col-md-6 col-12">
                                <div class="team-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                    <div class="team-img">
                                        <div class="team-profile back-img" data-image="<?php echo $image; ?>" <?php echo (!empty($image)) ? 'style="background-image: url(' . $image . ')"' : ''; ?>>
                                            <button class="play-btn" data-image="<?php echo $image; ?>" data-title="<?php echo get_the_title(); ?>" data-position="<?php echo $designation; ?>"><i class="fas fa-plus"></i></button>
                                        </div>
                                    </div>
                                    <div class="team-details">
                                        <div class="profile-title">
                                            <h4 class="person-name"><?php the_title(); ?></h4>
                                            <?php
                                            if (!empty($designation)) { ?>
                                                <span class="designation"><?php echo $designation; ?></span>
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="popup-content" style="display: none;">
                                        <?php the_content(); ?>
                                    </div>
                                </div>
                            </div>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </section>
<?php }
wp_reset_postdata(); ?>
<!-- Our team End -->